@charset "UTF-8";

main {
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: text;
}

.projects-header {
    width: 100%;
}

/* PROJECTS TITLE */
.messages-projects {
    min-height: calc(100vh - 72px);
    text-align: center;
    position: relative;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

/* TITLE BACKGROUND */
.code-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.18;
    z-index: 0;
}

.projects-message {
    position: relative;
    z-index: 1;
    padding: 100px;
}

.projects-message h1 {
    margin-bottom: 20px;
}

#projects-container {
    display: block;
}

.projects-card {
    width: 100%;
    min-height: 70vh;
    margin: auto;
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: space-between;
    padding: 30px;
    position: sticky;
    top: 90px;
    background-color: var(--bg-secondary);
    border-radius: 20px;
    margin: 30px 0;
    border: 2px solid var(--bg-main);
}

.project-content {
    padding: 30px;
    width: 50%;
}

.project-tech {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 20px 0;
}

.project-tech img {
    width: clamp(24px, 4vw, 40px);
    height: clamp(24px, 4vw, 40px);
    object-fit: contain;
}

.project-image {
    max-width: 40%;
    max-height: 70vh;
    overflow: hidden;
    border-radius: 6px;
}

.project-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform .4s ease;
}

.project-image img:hover {
    transform: scale(1.05);
}

.project-card {
    opacity: 0;
    transform: translateY(80px);
    animation: reveal .8s ease forwards;
}

.project-buttons a {
    font-family: "JetBrains Mono", monospace;
    font-size: clamp(14px, 1rem + 0.3vw, 16px);
    color: var(--accent-badges-link);
    text-decoration: none;
    opacity: 0.8;
    transition: 0.3s;
}

@keyframes reveal {

    to {
        opacity: 1;
        transform: translateY(0);
    }

}

footer {
    width: 100%;
    font-weight: 600;
    font-family: "JetBrains Mono", monospace;
    text-align: center;
    padding: 10px;
    font-size: clamp(10px, 2vw, 16px);
    background-color: var(--bg-soft);
}

/* MOBILE VIEW */
@media (max-width: 1000px) {

    .messages-projects {
        min-height: 100vh;
        padding: 15px;
    }

    .projects-message {
        padding: 10px;
    }

    .projects-card {
        position: static;
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }

    .project-content {
        width: 100%;
        padding: 20px;
    }

    .project-image {
        max-width: 100%;
        width: 100%;
        max-height: 300px;
    }

}